[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TGraphic.Assign

Implements object persistence for the TGraphic type.

## Declaration

Source position: graphics.pp line 826

`public procedure TGraphic.Assign(`
`ASource: TPersistent`
`); override;`

## Arguments

`ASource` |  | Persistent object with property values copied in the method.

## Description

Assign is an overridden method in TGraphic. It ensures that the inherited Assign method is not called if the object instance in ASource has not been assigned. If ASource contains Nil, the Clear method is called. If ASource has an assigned value, the inherited Assign method is called to copy property values from ASource into the current class instance.

## See also

TGraphic.Clear |  | Clear has an empty implementation in TGraphic.
TPersistent.Assign